We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Upgrading from old version to newer version exceptions

Hi,

I was using Aspose version 3.5.2.0, now upgraded to 5.1.0

When upgraderd it started giving errors at many places in the application

Mainly I have below 2 errors, I am also pasting my old code on which I am getting the errors

Many thanks for your co-operation


The type or namespace name 'Word' could not be found (are you missing a using directive or an assembly reference?)
The type or namespace name 'app' could not be found (are you missing a using directive or an assembly reference?)

'Aspose.Words.SaveFormat' does not contain a definition for 'FormatDocument'

// Code which was running with older version 3.5.2.0


private Document OpenDoc()
{
Word app = new Words();
return app.Open(Server.MapPath("Templates_Office/dispatchnote.doc"));
}

Document doc;

doc = CreateInvoiceFromDataSet();

doc.Save(
"DispatchNote.doc",
SaveFormat.FormatDocument, // Is it fine If here I write "SaveFormat.Doc"
SaveType.OpenInBrowser, Response);
Response.End();

With what code I replace this?
Awaiting your reply

Regards,
Dinesh

Hi

Thanks for your request. This question is answered in <A href="https://forum.aspose.com/t/109419</A></P> <P> </P> <P>Best regards.</P>